Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.factory.parse
Class ArchitectureLayer

    java.lang.Object
      org.encog.ml.factory.parse.ArchitectureLayer

    public class ArchitectureLayer

extends Object

Holds the parse results for one layer.

Constructor Summary
`ArchitectureLayer()`

Method Summary
`int` | `getCount()`
`String` | `getName()`
`Map<String,String>` | `getParams()`
`boolean` | `isBias()`
`boolean` | `isUsedDefault()`
`void` | `setBias(boolean theBias)`
`void` | `setCount(int theCount)`
`void` | `setName(String theName)`
`void` | `setUsedDefault(boolean theUsedDefault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArchitectureLayer

    public ArchitectureLayer()

Method Detail

### getCount

    public final int getCount()

  Returns:
    the count.

### getName

    public final String getName()

  Returns:
    the name

### getParams

    public final Map<String,String> getParams()

  Returns:
    the params

### isBias

    public final boolean isBias()

  Returns:
    the bias

### isUsedDefault

    public final boolean isUsedDefault()

  Returns:
    the usedDefault

### setBias

    public final void setBias(boolean theBias)

  Parameters:
    `theBias` - the bias to set

### setCount

    public final void setCount(int theCount)

  Parameters:
    `theCount` - the count to set

### setName

    public final void setName(String theName)

  Parameters:
    `theName` - the name to set

### setUsedDefault

    public final void setUsedDefault(boolean theUsedDefault)

  Parameters:
    `theUsedDefault` - the usedDefault to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.